Subject: WG mailing list moderator approval vs 'Note Well'

From: Peter Koch <[email-masked]>
Date: Thu, 14 Feb 2013 23:04:50 +0100

Dear fellow WG chairs,

since most - if not all - IETF WG mailing lists are [email-masked]'
these days, taking advantage of the centrally provided services,
this brings us Mailman with several defaults, including a 'subscriber
only' default posting policy.  Occasionally, cross posts or 'guest'
contributions wait for moderator approval as well as messages sent by
wg members using a 'different' sender address for posting.
On the other hand, apparently the 'Note Well' is an important
part of the subscription process on the IPR battleground.
Now, how much scrutiny do you apply (or are we expected to apply)
before accepting - or even white listing - a 'real' submission that
ended up in the moderation queue?

Thanks,
  Peter

---

From: Michael Richardson <[email-masked]>
Date: Thu, 14 Feb 2013 18:04:09 -0500

>>>>> "Peter" == Peter Koch <[email-masked]> writes:
    Peter> since most - if not all - IETF WG mailing lists are [email-masked]'
    Peter> these days, taking advantage of the centrally provided services,
    Peter> this brings us Mailman with several defaults, including a 'subscriber
    Peter> only' default posting policy.  Occasionally, cross posts or 'guest'
    Peter> contributions wait for moderator approval as well as messages sent by
    Peter> wg members using a 'different' sender address for posting.
    Peter> On the other hand, apparently the 'Note Well' is an important
    Peter> part of the subscription process on the IPR battleground.
    Peter> Now, how much scrutiny do you apply (or are we expected to apply)
    Peter> before accepting - or even white listing - a 'real'
    Peter> submission that ended up in the moderation queue?

If it's a reply an a thread on another IETF list, then none.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Brian Trammell <[email-masked]>
Date: Fri, 15 Feb 2013 18:39:50 +0100

Hi, Peter,

I've never had to approve a posting to the list that wasn't (a) a reply from (b) someone I knew to be following the discussion (either from an alternate address, or who had some other reason not to subscribe); in any case, it's generally people who are presumably familiar with the NOTE WELL. Usually I just add them to the non-subscriber accept list.

If I got a posting or cross-posting out of the blue, I'd follow up with the poster directly (and encourage them to subscribe and contribute, of course). I recognize the complete lack of scalability of this policy, but it's worked pretty well so far, for n=0.

Cheers,

Brian

---

From: Barry Leiba <[email-masked]>
Date: Fri, 15 Feb 2013 13:25:10 -0500

> I've never had to approve a posting to the list that wasn't (a) a reply from
> (b) someone I knew to be following the discussion (either from an alternate
> address, or who had some other reason not to subscribe); in any case, it's
> generally people who are presumably familiar with the NOTE WELL.

In the App Area, at least, it's very common for this NOT to be the
case: a mailing list thread gets copied to some other group for which
it's relevant (often a W3C group, or some other group that's
associated with another SDO, but sometimes an open-source community
mailing list, and whatnot), and one *can't* assume that the person
responding has any concept of the Note Well statement or BCPs 78/79.

Perhaps we need a way to approve moderated posts subject to a Note
Well challenge/response.

> Usually I just add them to the non-subscriber accept list.

Yes, I think it's a good idea to do that once you're decided that this
person's posts should be allowed.  It's a bit silly to keep having to
moderate posts from the same person, in most cases.

Barry